Bug 799560 - pk-command-not-found slows down /etc/profile loading
pk-command-not-found slows down /etc/profile loading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 20:15 EST by Aron Griffis
Modified: 2014-02-05 17:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aron Griffis 2012-03-02 20:15:36 EST
Description of problem:
/etc/profile.d/PackageKit.sh loads first, so all the following profile.d snippets are subject to pk-command-not-found, which can drastically slow down the loading of the shell.

Version-Release number of selected component (if applicable):
16

How reproducible:
Always

Steps to Reproduce:
1. yum install ack
2. wonder why your terminals are taking so long now
3. edit /etc/profile to add "set -x" at the top and "set +x" at the bottom
4. note the pause is in /etc/bash_completion.d/ack.bash_completion.sh
5. edit that file to remove 2>/dev/null from the call to ack-grep on line 18
6. note the pause is because pk-command-not-found is running
  
Actual results:
It's slow!

Expected results:
It's still slow, but not as much!

Additional info:
Could also fix by modifying ack.bash_completion.sh but that doesn't scale. It's dubious but common for scripts to call a string of commands with 2>/dev/null looking for the right one. I think the right answer is to push PackageKit.sh to the end of profile.d loading, probably by naming it zPackageKit.sh or something like that.
Comment 1 Aron Griffis 2012-03-03 11:55:01 EST
Version-Release number of selected component (if applicable):
PackageKit-command-not-found-0.6.21-2.fc16.x86_64

(sorry, I put the Fedora version in the description above)
Comment 2 Fedora End Of Life 2013-01-16 08:47:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:41:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Richard Hughes 2013-02-19 03:59:27 EST
(In reply to comment #0)
> It's dubious but common for scripts to call a string of commands with
> 2>/dev/null looking for the right one.

That's the wrong thing to do entirely.
Comment 5 Fedora End Of Life 2013-12-21 10:00:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:45:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.